weseek - growi 3.5.17-RC dependencies status

Team collaboration software using markdown

  • 72 Dependencies total
  • 67 Up to date
  • 3 Pinned, out of date
  • 2 Out of date
DependencyChangesRequiredStableLatestStatus
//
    check-node-version: see https://github.com/parshap/check-node-version/issues/35mongoose: somehow GlobalNotificationSetting CRUD does not work with mongoose v5.6.0openid-client: Node.js 12 or higher is required for openid-client@3 and above.
    @google-cloud/storage
      ^3.3.03.4.03.4.0
      JSONStream
        ^1.3.51.3.51.3.5
        archiver
          ^3.1.13.1.13.1.1
          async
            ^3.0.13.1.02.6.3
            aws-sdk
              ^2.88.02.549.02.549.0
              axios
                ^0.19.00.19.00.18.1
                body-parser
                  ^1.18.21.19.01.19.0
                  bunyan
                    ^1.8.121.8.122.0.2
                    bunyan-format
                      ^0.2.10.2.10.2.1
                      check-node-version
                        =3.3.04.0.14.0.1
                        connect-flash
                          ~0.1.10.1.10.1.1
                          connect-mongo
                            ^3.0.03.0.03.0.0
                            connect-redis
                              ^3.3.04.0.34.0.3
                              cookie-parser
                                ^1.4.31.4.41.4.4
                                cross-env
                                  ^5.0.56.0.36.0.3
                                  csrf
                                    ^3.1.03.1.03.1.0
                                    date-fns
                                      ^2.0.02.4.12.4.1
                                      diff
                                        ^4.0.14.0.14.0.1
                                        elasticsearch
                                          ^16.0.016.4.016.4.0
                                          entities
                                            ^2.0.02.0.02.0.0
                                            env-cmd
                                              ^10.0.110.0.110.0.1
                                              esa-nodejs
                                                ^0.0.70.0.70.0.7
                                                escape-string-regexp
                                                  ^2.0.02.0.02.0.0
                                                  express
                                                    ^4.16.14.17.15.0.0-alpha.7
                                                    express-bunyan-logger
                                                      ^1.3.31.3.31.3.3
                                                      express-form
                                                        ~0.12.00.12.60.12.6
                                                        express-sanitizer
                                                          ^1.0.41.0.51.0.5
                                                          express-session
                                                            ^1.16.11.17.01.17.0
                                                            express-validator
                                                              ^6.1.16.2.06.2.0
                                                              express-webpack-assets
                                                                ^0.1.00.1.00.1.0
                                                                graceful-fs
                                                                  ^4.1.114.2.24.2.2
                                                                  growi-commons
                                                                    ^4.0.74.0.74.0.7
                                                                    helmet
                                                                      ^3.13.03.21.13.21.1
                                                                      i18next
                                                                        ^17.0.317.2.017.2.0
                                                                        i18next-express-middleware
                                                                          ^1.4.11.8.21.8.2
                                                                          i18next-node-fs-backend
                                                                            ^2.1.02.1.32.1.3
                                                                            i18next-sprintf-postprocessor
                                                                              ^0.2.20.2.20.2.2
                                                                              md5
                                                                                ^2.2.12.2.12.2.1
                                                                                method-override
                                                                                  ^3.0.03.0.03.0.0
                                                                                  migrate-mongo
                                                                                    ^6.0.06.0.26.0.2
                                                                                    mkdirp
                                                                                      ~0.5.10.5.10.5.1
                                                                                      module-alias
                                                                                        ^2.0.62.2.22.2.2
                                                                                        mongoose
                                                                                          5.4.45.7.55.7.5
                                                                                          mongoose-gridfs
                                                                                            ^1.2.21.2.121.2.12
                                                                                            mongoose-paginate
                                                                                              ^5.0.35.0.35.0.3
                                                                                              mongoose-unique-validator
                                                                                                ^2.0.32.0.32.0.3
                                                                                                multer
                                                                                                  ~1.4.01.4.22.0.0-alpha.7
                                                                                                  multer-autoreap
                                                                                                    ^1.0.31.0.31.0.3
                                                                                                    nodemailer
                                                                                                      ^6.0.06.3.16.3.1
                                                                                                      nodemailer-ses-transport
                                                                                                        ~1.5.01.5.11.5.1
                                                                                                        npm-run-all
                                                                                                          ^4.1.24.1.54.1.5
                                                                                                          openid-client
                                                                                                            =2.5.03.7.33.7.3
                                                                                                            passport
                                                                                                              ^0.4.00.4.00.4.0
                                                                                                              passport-github
                                                                                                                ^1.1.01.1.01.1.0
                                                                                                                passport-google-auth
                                                                                                                  ^1.0.21.0.21.0.2
                                                                                                                  passport-http
                                                                                                                    ^0.3.00.3.00.3.0
                                                                                                                    passport-ldapauth
                                                                                                                      ^2.0.02.1.32.1.3
                                                                                                                      passport-local
                                                                                                                        ^1.0.01.0.01.0.0
                                                                                                                        passport-saml
                                                                                                                          ^1.0.01.2.01.2.0
                                                                                                                          passport-twitter
                                                                                                                            ^1.0.41.0.41.0.4
                                                                                                                            rimraf
                                                                                                                              ^3.0.03.0.03.0.0
                                                                                                                              slack-node
                                                                                                                                ^0.1.80.1.80.2.0
                                                                                                                                socket.io
                                                                                                                                  ^2.0.32.3.02.3.0
                                                                                                                                  stream-to-promise
                                                                                                                                    ^2.2.02.2.02.2.0
                                                                                                                                    string-width
                                                                                                                                      ^4.1.04.1.04.1.0
                                                                                                                                      swig-templates
                                                                                                                                        ^2.0.22.0.32.0.3
                                                                                                                                        uglifycss
                                                                                                                                          ^0.0.290.0.290.0.29
                                                                                                                                          unzipper
                                                                                                                                            ^0.10.50.10.50.10.5
                                                                                                                                            url-join
                                                                                                                                              ^4.0.04.0.14.0.1
                                                                                                                                              validator
                                                                                                                                                ^11.1.011.1.011.1.0
                                                                                                                                                xss
                                                                                                                                                  ^1.0.61.0.61.0.6
                                                                                                                                                  • 72 Dependencies total
                                                                                                                                                  • 67 Up to date
                                                                                                                                                  • 3 Pinned, out of date
                                                                                                                                                  • 2 Out of date